import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter } from '@angular/core';
import { MatInput } from '@angular/material/input';
import * as i0 from "@angular/core";
export declare class TranslationSystemPickerFilterComponent implements AfterViewInit {
    private readonly changeDetector;
    filterInput: ElementRef<MatInput>;
    filterChanged: EventEmitter<string>;
    private _filter;
    get filter(): string;
    set filter(val: string);
    constructor(changeDetector: ChangeDetectorRef);
    ngAfterViewInit(): void;
    clear(event: MouseEvent): void;
    private focus;
    static ɵfac: i0.ɵɵFactoryDeclaration<TranslationSystemPickerFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TranslationSystemPickerFilterComponent, "tld-translation-system-picker-filter", never, {}, { "filterChanged": "filterChanged"; }, never, never, false, never>;
}
